Retrieve
GET/organizations/{organization_id}/service-accounts/{service_account_id}
Get a specific service account
Path Parameters
organization_id: string
Organization ID or label identifier
minLength1
maxLength255
service_account_id: string
Identifier for API resources. A 26-char nanoid (URL/DNS safe).
minLength1
maxLength255
Query Parameters
expand: optional array of "permissions"
Fields to expand in the response. Currently supports "permissions" to include the permissions field with the caller's permissions for the resource.
Header Parameters
"X-Client-Request-ID": optional string
formatuuid
Returns
Retrieve
curl https://api.keycard.ai/organizations/$ORGANIZATION_ID/service-accounts/$SERVICE_ACCOUNT_ID{
"id": "ab3def8hij2klm9opq5rst7uvw",
"created_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"updated_at": "2019-12-27T18:11:19.117Z",
"description": "description",
"permissions": {
"organizations": {
"read": true,
"update": true
},
"users": {
"read": true,
"list": true
}
}
}Returns Examples
{
"id": "ab3def8hij2klm9opq5rst7uvw",
"created_at": "2019-12-27T18:11:19.117Z",
"name": "name",
"updated_at": "2019-12-27T18:11:19.117Z",
"description": "description",
"permissions": {
"organizations": {
"read": true,
"update": true
},
"users": {
"read": true,
"list": true
}
}
}